## pygame 2.1.2+dfsg

=== buildconfig/Makefile ===
#fake Makefile for pygame, to support the common
# ./configure;make;make install

PYTHON = python

build: Setup setup.py
	$(PYTHON) setup.py build

install: Setup setup.py
	$(PYTHON) setup.py install

Setup:
	$(PYTHON) configure.py

check tests:
	$(PYTHON) run_tests.py

test: build test src
	$(PYTHON) run_tests.py

docs:
	$(PYTHON) makeref.py

clean:
	rm -rf build dist
	rm -f lib/*~ src/*~ test/*~
	rm -f lib/*.pyc src/*.pyc test/*.pyc test/test_utils/*.pyc
	rm -rf __pycache__ lib/__pycache__ test/__pycache__/ test/test_utils/__pycache__/
	# Sphinx generated files: makeref.py. See .gitignore
	rm -rf docs/generated/

## pygame 1.6-2osso5

=== debian/changelog ===
pygame (1.6-2osso5) unstable; urgency=low

  * total refactoring in debian/rules
  * added shlibs dependencies
  * added -mthumb flags
  * changed architecture from 'any' to 'all'

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Wed,  7 Jun 2006 19:13:00 -0300

pygame (1.6-2osso4) unstable; urgency=low

  * Added python2.4-numeric-dev package in Build-Depends
 
 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Wed, 1 Jun 2006 23:50:00 -0300

pygame (1.6-2osso3) unstable; urgency=low

  * Fixes in pygame package
  * split pygame in pygame and pygame-dev packages
 
 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Wed, 10 May 2006 17:38:00 -0300

pygame (1.6-2osso2) unstable; urgency=low

  * Recompiled agains SDK 2.0 RC3
  * Removed requirement for SMPEG
 
 -- Elvis Pfutzenreuter <elvis.pfutzenreuter@indt.org.br>  Fri, 28 Apr 2006 09:15:00 -0300

pygame (1.6-2osso1) unstable; urgency=low

  * First OSSO release for SDK 1.2
 
 -- Ruda Moura <ruda.moura@indt.org.br>  Thu, 09 Feb 2006 15:01:42 -0300

pygame (1.6-2indt6) unstable; urgency=low

  * Recompiled against SDK 1.1rc8

 -- Ruda Moura <ruda.moura@indt.org.br>  Fri, 02 Dec 2005 17:10:57 -0300

pygame (1.6-2indt5) unstable; urgency=low

  * Recompiled against rootstrap 1.1-Beta3

 -- Ruda Moura <ruda.moura@indt.org.br>  Mon, 19 Sep 2005 18:56:39 -0300

pygame (1.6-2indt4) unstable; urgency=low

  * Remove python-pygame package (now we've only python2.4-pygame)

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Tue,  6 Sep 2005 10:56:00 -0300

pygame (1.6-2indt3) unstable; urgency=low

  * Recompiled against rootstrap 1.1-Beta2

 -- Ruda Moura <ruda.moura@indt.org.br>  Tue, 30 Aug 2005 19:09:09 -0300

pygame (1.6-2indt2) unstable; urgency=low

  * Recompiled against new Python (with -O2 CFLAGS)
 
 -- Ruda Moura <ruda.moura@indt.org.br>  Mon, 08 Aug 2005 16:31:28 -0300

pygame (1.6-2indt1) unstable; urgency=low

  * Adopted by INdT
  * Recompiled against Python 2.4
  * Removed build and dependencies on Python less than 2.4
  * Removed dependence on sharutils

 -- Ruda Moura <ruda.moura@indt.org.br>  Thu, 16 Jun 2005 10:29:00 -0300

pygame (1.6-2) unstable; urgency=low

  * Actually build-depend on python (for dh_python)
    * Closes: #264086

 -- Ed Boraas <ed@debian.org>  Sun,  8 Aug 2004 00:10:10 -0600

=== debian/control ===
Source: pygame
Section: python
Priority: optional
Maintainer: Osvaldo Santana Neto <osvaldo.santana@indt.org.br>
Build-Depends: debhelper (>= 4.1.25), python2.4, python2.4-dev, libsdl1.2-dev (>= 1.2.2-3.1), libsdl-image1.2-dev (>= 1.2.0-1.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), libsdl-ttf2.0-dev (>= 1.2.2-1.1), python2.4-numeric, python2.4-numeric-dev
Standards-Version: 3.6.1

Package: python2.4-pygame
Architecture: any
Depends: python2.4, python2.4-numeric, libsdl1.2, libsdl-image1.2, libsdl-mixer1.2, libsdl-ttf2.0-0, ${shlibs:Depends}
Description: SDL bindings for games development in Python 2.4
 A multimedia development kit for Python. Pygame provides modules for you
 to access the video display, play sounds, track time, read the mouse and
 joystick, control the CD player, render true type fonts and more. It does
 this using mainly the cross-platform SDL library, a lightweight wrapper
 to OS-specific APIs.

Package: python2.4-pygame-dev
Architecture: all
Depends: python2.4-pygame (= ${Source-Version})
Description: Pygame development files.

=== debian/rules ===
#!/usr/bin/make -f

PYVER=2.4
PYTHON=python$(PYVER)

p_base=$(PYTHON)-pygame
p_dev=$(p_base)-dev

d_base=debian/$(p_base)
d_dev=debian/$(p_dev)

doclist=$(filter-out docs/util docs/fullinstall.txt docs/LGPL,$(wildcard docs/*))

ifeq ($(DEB_BUILD_ARCH),armel)
    CFLAGS=-Os -mthumb -mfloat-abi=softfp -Wall -Wstrict-prototypes
else
    CFLAGS=-Os -Wall -Wstrict-prototypes
endif

build: build-stamp
build-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" $(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp
	-rm -rf build dist
	-rm -rf $(d_base) $(d_dev)
	-$(PYTHON) setup.py clean
	-rm -f *.pyc *.pyo
	-rm -f Setup
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(PYTHON) setup.py install --no-compile --root=$(d_base)
	$(PYTHON) -OO -m compileall -f $(d_base)
	cp -a $(d_base)/* $(d_dev)

	# base
	find $(d_base) -name "*.py" | xargs rm -f
	rm -rf $(d_base)/usr/include

	# dev
	dh_installexamples -i -p$(p_dev) examples/*
	dh_installdocs     -i -p$(p_dev) $(doclist)
	dh_installchangelogs -i -p$(p_dev) WHATSNEW
	find $(d_dev)/usr/lib/$(PYTHON)/site-packages/pygame -not -name "*.py" -type f | xargs rm -f
	find $(d_dev) -name ".svn" | xargs rm -rf

binary: binary-indep binary-arch
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installchangelogs -p$(p_dev)
	dh_installdocs -p$(p_dev)
	dh_strip
	dh_compress -p$(p_dev) -X.py -Xexamples
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_strip
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build build-stamp clean install binary-indep binary-arch binary

## pygame 1.8.1release

=== debian/changelog ===
pygame (1.8.1release-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Add debian/python-pygame.bug-presubj . The contents of this file are
    displayed to the user by the bug reporting tool before allowing the
    user to write a bug report. This file explains that the user may need
    to install some libsdl libraries to hear audio.
  * bump standard, no changes
  * fix lintian warnings:
    - duplicate-font-file usr/share/pyshared/pygame/freesansbold.ttf
       also in ttf-freefont : replace with symlink
    - some executable-not-elf-or-script
    - debhelper-but-no-misc-depends, added
  * Thanks morph for NMU.

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 07 Mar 2010 14:58:47 +0100

pygame (1.8.1release-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Prepare for the upcoming Python 2.6 transition; thanks to Piotr Ożarowski
    for the bug report and to Kumar Appaiah for the patch; Closes: #556151
    - debian/rules
      + pass --prefix=/usr when installing
  * debian/control
    - removed Joe Wreschnig from Uploaders field; Closes: #547234

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Nov 2009 22:22:48 +0100

pygame (1.8.1release-1) unstable; urgency=low

  * Upload in unstable.
  * Add myself to uploaders.
  * Added a script for reportbug ,
    build-dep debhelper >= 7.2.3.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 16 May 2009 14:28:04 +0200

pygame (1.8.1release-0) experimental; urgency=low

  * Non-maintainer upload.
  [ Barry deFreese ]  
   * New upstream release. (Closes: #473672).
     + image.fromstring fixes. (Closes: #481071).
   * Depend and Build-depend on python-numpy. (Closes: #478450).
     + Drop python-numeric depend and build-dep.
   * Add noopt handling in rules. (Closes: #481062).
     Thanks to Sam Morris for the patch.
   * Add watch file.
   * Bump Standards Version to 3.7.3. (No changes needed).

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 12 Dec 2008 19:17:02 +0100

pygame (1.8.0release-0) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release
    thanks to René Dudfield (Closes: #473672).
  * Bug fix: "python-pygame: pygame.image.fromstring does not work",
    thanks to Sam Morris (Closes: #481071).

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 04 Jun 2008 20:36:19 +0200

pygame (1.7.1release-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-depend on python-numeric instead of python2.[34]-numeric.
    Closes: #399697
  * Likewise build-depend on python-all-dev instead of python2.[34]-dev.
  * Dropped useless build-dependency on python (it's granted with
    python-all-dev).
  * Add missing dependency on python-numeric. Closes: #399816
  * Changed XS-Python-Version to ">= 2.3" since pygame apparently supports
    python 2.5 and I couldn't find a rationale for "2.3, 2.4" in the
    changelog.
  * Fix lintian errors/warnings:
    - Added empty binary-indep target in debian/rules.
    - Removed dh_python call and adjust python-central build-dependency
      accordingly.

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 30 Nov 2006 15:07:18 +0100

pygame (1.7.1release-4) unstable; urgency=low

  * control: Add ${shlibs:Depends} Depends:.

 -- Joe Wreschnig <piman@debian.org>  Tue, 13 Jun 2006 16:55:04 -0500

pygame (1.7.1release-3) unstable; urgency=low

  * control, rules: Update to new Python policy, using pycentral.
  * Switch to debhelper level 5.

 -- Joe Wreschnig <piman@debian.org>  Mon, 12 Jun 2006 23:45:00 -0500

pygame (1.7.1release-2) unstable; urgency=low

  * Ignore invalid fonts.scale files. (Closes: #337120)

 -- Joe Wreschnig <piman@debian.org>  Mon, 21 Nov 2005 19:01:52 -0600

pygame (1.7.1release-1) unstable; urgency=low

  * New upstream release.
  * Remove 64-bit patch from 1.6-0.2, merged upstream.
  * Remove SMPEG detection patch from 1.4-1, no longer needed.

 -- Joe Wreschnig <piman@debian.org>  Thu, 15 Sep 2005 15:10:45 -0500

pygame (1.6-3) unstable; urgency=low

  * debian/control:
    - Add myself to Uploaders.
    - Section: python.
    - Standards-Version 3.6.2.
  * debian/copyright: Include proper copyright line. (Closes: #290220)
  * Build packages for Python 2.3/2.4 instead of 2.2/2.3.
  * Move API documentation and examples to arch-indep python-pygame.
  * Build-Dep on libsmpeg-dev >= 0.4.5+cvs20030824-1.3 to get libsmpeg0c2.

 -- Joe Wreschnig <piman@debian.org>  Sun, 14 Aug 2005 12:26:45 -0500

pygame (1.6-1) unstable; urgency=low

  * Acknowledge NMUs (Closes: #186916, #219524, #246278)

 -- Ed Boraas <ed@debian.org>  Sat,  7 Aug 2004 23:56:37 -0600

pygame (1.6-0.2) unstable; urgency=low

  * NMU on maintainer's request.
  * src/constants.c: cast constants to ints to prevent breakage on 64-bit
    architectures (closes: #186916, #246278).
  * debian/rules: use dh_python.
  * debian/python2.X-pygame.{prerm,postinst}: removed.
  * debian/control:
    + require debhelper 4.1.25.
    + make python-pygame depend on ${python:Depends}.
    + Standards-version is 3.6.1 (no changes required).

 -- Josselin Mouette <joss@debian.org>  Fri, 28 May 2004 15:57:25 +0200

pygame (1.6-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't build the Python 2.1 target anymore, Pygame now requires 2.2
    or better.
  * Update the download URL in the copyright file to www.pygame.org/ftp.
  * New upstream version. (Closes: #219524)

 -- Joe Wreschnig <piman@debian.org>  Tue, 10 Feb 2004 19:26:36 -0600

pygame (1.5.6-2) unstable; urgency=low

  * Build python-pygame dummy package where it should be,
    in binary-arch (Closes: #207192)

 -- Ed Boraas <ed@debian.org>  Mon, 25 Aug 2003 11:27:18 -0600

pygame (1.5.6-1) unstable; urgency=low

  * New upstream release
  * Build (and default to) Python 2.3 version

 -- Ed Boraas <ed@debian.org>  Mon, 11 Aug 2003 20:20:39 -0600

pygame (1.5.5-2) unstable; urgency=low

  * Rebuild against libsdl-ttf2.0-dev 

 -- Ed Boraas <ed@debian.org>  Wed, 16 Apr 2003 20:44:48 -0600

pygame (1.5.5-1) unstable; urgency=low



=== debian/control ===
Source: pygame
Section: python
Priority: optional
Maintainer: Ed Boraas <ed@debian.org> 
Uploaders: A Mennucc1 <mennucc1@debian.org>
Build-Depends: debhelper (>= 7.2.3), python-all-dev (>= 2.3.5-11), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-image1.2-dev (>= 1.2.0-1.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), libsdl-ttf2.0-dev (>= 1.2.2-1.1), libsmpeg-dev (>= 0.4.5+cvs20030824-1.3), sharutils, python-numpy, python-central (>= 0.5.6)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.3

Package: python-pygame
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-numpy, ttf-freefont
Provides: ${python:Provides}
Replaces: python2.3-pygame, python2.4-pygame
Conflicts: python2.3-pygame, python2.4-pygame
XB-Python-Version: ${python:Versions}
Description: SDL bindings for games development in Python
 A multimedia development kit for Python. Pygame provides modules for you
 to access the video display, play sounds, track time, read the mouse and
 joystick, control the CD player, render true type fonts and more. It does
 this using mainly the cross-platform SDL library, a lightweight wrapper
 to OS-specific APIs.
 .
 This package also includes Pygame's API documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

PYVERS=$(shell pyversions -r debian/control)

ifeq (noopt,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	for python in $(PYVERS); \
		do CFLAGS="$(CFLAGS)" $$python config.py; \
	done
	touch $@

build: build-stamp
build-stamp:
	dh_testdir
	for python in $(PYVERS); \
		do $$python setup.py build; \
	done
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# We ignore errors, as if the build is already clean
	# (Setup has been removed) this command doesn't run
	-for python in $(PYVERS); \
		do $$python setup.py clean; \
	done
	# Other files that setup.py clean doesn't remove.
	rm -f *.pyc
	rm -fr build
	rm -f Setup

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	for python in $(PYVERS); \
		do $$python setup.py install \
			--root=$(CURDIR)/debian/python-pygame --prefix=/usr; \
	done

# We include all the documentation except:
# util (which is for building the docs from the source)
# fullinstall.txt (which is installation instructions)
# LGPL (which is in /usr/share/common-licenses/LGPL under Debian)
doclist = $(filter-out docs/util docs/fullinstall.txt docs/LGPL,$(wildcard docs/*))

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a $(doclist)
	dh_installchangelogs -a WHATSNEW
	dh_bugfiles -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_pycentral -a
	#fix permission, replace freesansbold.ttf
	cd $(CURDIR)/debian/python-pygame/usr/share/pyshared/pygame/ && chmod a-x pygame_icon* pygame.ico && rm freesansbold.ttf && ln -s  /usr/share/fonts/truetype/freefont/FreeSansBold.ttf freesansbold.ttf
	# fix above link as well
	dh_link -a

	dh_installdeb -a
	dh_shlibdeps -a 
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pygame 1.9.1release%2Bdfsg

=== debian/changelog ===
pygame (1.9.1release+dfsg-9ubuntu1) trusty; urgency=medium

  * Stop symlinking font into /usr/share/pyshared/pygame/freesansbold.ttf,
    as /usr/share/pyshared/ is no longer used.  We still copy it into
    /usr/lib/$python/dist-packages/pygame/freesansbold.ttf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Mar 2014 12:19:14 +0000

pygame (1.9.1release+dfsg-9) unstable; urgency=medium

  [ Vincent Cheng ]
  * Set Debian Python Modules Team <python-modules-team@l.a.d.o> as new
    maintainer, and move Ed Boraas into Uploaders with his consent.
    - Update Vcs-* fields accordingly.
  * Replace dependency ttf-freefont -> fonts-freefont-ttf. (Closes: #738244)
  * Use dh_numpy to generate correct numpy dependencies.
  * Remove dependency on ${python:Provides}.
  * Remove Replaces+Conflicts with obsolete pygame packages.
  * Update Standards version to 3.9.5.
  * Update my email address.

  [ Jakub Wilk ]
  * Run tests only if DEB_BUILD_OPTIONS=nocheck is not set.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 19 Feb 2014 01:41:42 -0800

pygame (1.9.1release+dfsg-8) unstable; urgency=low

  [ Sébastien Villemot ]
  * Following the ABI change in python-numpy >= 1:1.6.1 (see #685812), add
    Depends on python-numpy (>= 1:1.6.1) and python-numpy-abi9 in order to
    support partial upgrades. (Closes: #698169)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 14 Jan 2013 19:23:48 -0800

pygame (1.9.1release+dfsg-7) unstable; urgency=low

  * Add missing licenses and copyright holders in debian/copyright.
    (Closes: #685189)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 10 Sep 2012 15:08:11 -0700

pygame (1.9.1release+dfsg-6) unstable; urgency=low

  * Add b-d on libpng-dev and libjpeg-dev to fix FTBFS. (Closes: #669464)
  * Update Standards version from 3.9.2 to 3.9.3, no updates required.
  * Update debhelper compatibility level from 8 to 9.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 19 Apr 2012 20:07:10 -0700

pygame (1.9.1release+dfsg-5) unstable; urgency=high

  * camera.h : do not include asm/types.h -- not all arches have it,
    and linux does not need it
  * Setting priority on high so as to (possibly) migrate
    before Ubuntu snapshot.

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 06 Jan 2012 09:16:52 +0100

pygame (1.9.1release+dfsg-4) unstable; urgency=high

  * check for v4l2 , if absent do not compile camera module
  * Setting priority on high so as to (possibly) migrate
    before Ubuntu snapshot.

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 05 Jan 2012 22:29:11 +0100

pygame (1.9.1release+dfsg-3) unstable; urgency=high

  * Build-depends on portmidi only in linux-any architectures.
  * Turn on MMX instructions, thanks to jeff@jab.org;
    (Closes: #653215).
  * Setting priority on high so as to (possibly) migrate
    before Ubuntu snapshot.

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 05 Jan 2012 08:10:48 +0100

pygame (1.9.1release+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Repack tarball to remove lib/freesansbold.ttf.
  * Import debian/patches/set_the_SDL_WM_CLASS_when_running_under_X11.diff
    from Ubuntu.
  * Drop debian/patches/documentation_fix since the revised link doesn't seem
    to work either.
  * Update debian/copyright to conform to DEP-5.
  * Update debian/rules to dh 7 rules.tiny style.
  * Modify debian/watch to ensure uscan can process it correctly.
  * Add Vcs-* fields in debian/control.
  * Add Homepage: field in debian/control.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 25 Sep 2011 17:41:16 -0700

pygame (1.9.1release-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream release. (Closes: #544347)
  * Add myself to uploaders.
  * Add build dependency on libportmidi-dev.
  * Transition to dh_python2: (Closes: #616965)
    - Remove dependency on python-central.
    - Bump dependency on python-all-dev to >= 2.6.6-3~.
    - Remove XB-Python-Version.
    - Change XS-Python-Version to X-Python-Version.
    - Use dh_python2 instead of dh_pycentral in debian/rules.
  * Add timidity as a suggested package for python-pygame. (Closes: #428070)
  * Include a doc-base registration file. (Closes: #451674)
  * Update Standards version from 3.8.4 to 3.9.2, no updates required.
  * Update debhelper compatiblity level from 7 to 8.
  * Import debian/patches from Ubuntu.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 29 Jun 2011 14:56:36 -0700

## pygame 1.9.1release+dfsg

=== debian/control ===
Source: pygame
Section: python
Priority: optional
Maintainer: Ed Boraas <ed@debian.org>
Uploaders:
 A Mennucc1 <mennucc1@debian.org>,
 Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends:
 debhelper (>= 9),
 libjpeg-dev,
 libpng-dev,
 libportmidi-dev [linux-any],
 libsdl-image1.2-dev (>= 1.2.0-1.1),
 libsdl-mixer1.2-dev (>= 1.2.0-1.1),
 libsdl-ttf2.0-dev (>= 1.2.2-1.1),
 libsdl1.2-dev (>= 1.2.2-3.1),
 libsmpeg-dev (>= 0.4.5+cvs20030824-1.3),
 python-all-dev (>= 2.6.6-3~),
 python-numpy,
 sharutils
Standards-Version: 3.9.3
X-Python-Version: >= 2.3
Homepage: http://www.pygame.org/
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pygame/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/pygame/trunk

Package: python-pygame
Architecture: any
Depends:
 python-numpy (>= 1:1.6.1),
 python-numpy-abi9,
 ttf-freefont,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests: timidity
Provides: ${python:Provides}
Replaces: python2.3-pygame, python2.4-pygame
Conflicts: python2.3-pygame, python2.4-pygame
Description: SDL bindings for games development in Python
 A multimedia development kit for Python. Pygame provides modules for you
 to access the video display, play sounds, track time, read the mouse and
 joystick, control the CD player, render true type fonts and more. It does
 this using mainly the cross-platform SDL library, a lightweight wrapper
 to OS-specific APIs.
 .
 This package also includes Pygame's API documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export ORIGLIBDIRS := /lib:/lib/$(DEB_HOST_MULTIARCH)

export DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | \
                       sed -rne 's,^Version: ([^+]+).*,\1,p')

PYVERS=$(shell pyversions -r debian/control)

# We include all the documentation except:
# util (which is for building the docs from the source)
# fullinstall.txt (which is installation instructions)
# LGPL (which is in /usr/share/common-licenses/LGPL-2.1 under Debian)
doclist = $(filter-out docs/util docs/fullinstall.txt docs/LGPL,$(wildcard docs/*))

%:
	dh $@ --with python2

override_dh_clean:
	rm -f *.pyc Setup
	rm -rf build

	dh_clean

override_dh_installdocs:
	dh_installdocs -a $(doclist)

override_dh_installchangelogs:
	dh_installchangelogs -a WHATSNEW

override_dh_link:
	# Replace embedded font with system copy
	ln -sf /usr/share/fonts/truetype/freefont/FreeSansBold.ttf \
	$(CURDIR)/debian/python-pygame/usr/share/pyshared/pygame/freesansbold.ttf
	for python in $(PYVERS); \
		do ln -sf /usr/share/fonts/truetype/freefont/FreeSansBold.ttf \
			$(CURDIR)/debian/python-pygame/usr/lib/$$python/dist-packages/pygame/freesansbold.ttf; \
	done
	
	dh_link -a

get-orig-source:
	# Remove existing pygame directory and tarball, if existing
	rm -rf pygame-$(DEB_UPSTREAM_VERSION)
	rm -f pygame_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz
	# Fetch latest upstream tarball
	uscan --noconf --force-download --download-current-version \
	--destdir=.
	# Unpack and remove tarball
	tar -xzf pygame-$(DEB_UPSTREAM_VERSION).tar.gz
	rm -f pygame-$(DEB_UPSTREAM_VERSION).tar.gz
	# Remove embedded freesansbold.ttf copy; it comes without the FontForge
	# source file (.sfd), so it's technically a GPL violation
	rm -f pygame-$(DEB_UPSTREAM_VERSION)/lib/freesansbold.ttf
	# Repack tarball
	tar -czf pygame_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz pygame-\
	$(DEB_UPSTREAM_VERSION)/

## pygame 1.9.1release-0maemo1

=== debian/changelog ===
pygame (1.9.1release-0maemo1) unstable; urgency=low

  * Imported new version from Ubuntu Lucid.

 -- Willer Moreira <willer.moreira@openbossa.org>  Wed, 28 Jul 2010 18:10:00 -0400

pygame (1.9.1release-0ubuntu1) lucid; urgency=low

  * New upstream version (lp: #433304)
  * debian/control:
    - build-depends on libportmidi-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Jan 2010 17:02:11 +0100

pygame (1.8.1release-1.1ubuntu2) lucid; urgency=low

  * Readding things for python2.6 build:
    - debian/rules: replaced --prefix with --install-layout.
    - debian/control: dumped python-all-dev.

 -- Andrea Gasparini <gaspa@yattaweb.it>  Wed, 06 Jan 2010 15:21:50 +0100

pygame (1.8.1release-1.1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remainig Ubuntu changes: 
    - debian/rules:
       + Add quilt support.
       + Use DH_PYCENTRAL=nomove, some modules differ between python versions
         and they can't be shared.
    - debian/patches/documentation_fix:
       + Fix URL to point to the exact location of the online documentation.
    - debian/control:
       + Build-depend on quilt.

 -- Andrea Gasparini <gaspa@yattaweb.it>  Wed, 06 Jan 2010 00:25:56 +0100

pygame (1.8.1release-1ubuntu1) karmic; urgency=low

  [ Andrea Gasparini ]
  * Merge from Debian Unstable,remaining Ubuntu changes: (LP: #377956)
    - debian/rules:
       + Build for python2.6
       + Add quilt support.
    - debian/patches/documentation_fix:
       + Fix URL to point to the exact location of the online documentation.
    - debian/control:
       + Build-depend on quilt.
  * debian/control: bumped python-all-dev revision to support
    --install-layout=deb in setup.py

  [ Alessio Treglia ]
  * debian/rules:
    - Use DH_PYCENTRAL=nomove, some modules differ between python versions
      and they can't be shared.

 -- Andrea Gasparini <gaspa@yattaweb.it>  Mon, 18 May 2009 12:38:01 +0200

pygame (1.8.1release-0ubuntu2) jaunty; urgency=low

  * Build for python2.6.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Feb 2009 11:21:25 +0000

pygame (1.8.1release-0ubuntu1) intrepid; urgency=low

  * New upstream release. (LP: #255823)
  * debian/control: Bumped Standards-Version to 3.8.0
  * Created debian/watch

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 17 Aug 2008 14:31:28 -0400

pygame (1.8.0release-0ubuntu1) intrepid; urgency=low

  * Merge from Debian experimental, remaining Ubuntu changes:
    + debian/rules:
      - Add quilt support.
    + debian/patches/documentation_fix:
      - Fix URL to point to the exact location of the online documentation.
    + debian/control:
      - Build-depend on quilt.
      - Update Maintainer field as per spec.
  * New upstream version (LP: #198544, #209967)

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 07 Jun 2008 12:03:18 +0200

pygame (1.7.1release-4.1ubuntu1) gutsy; urgency=low

  * Build-depend on dpatch
  * 01_stack_overwrite.dpatch: fix a stack overwrite issue which prevents
    pygame from starting (LP: #138430)
  * 02_documentation_fixup.dpatch: fix URL to point to the exact location
    of the online documentation (LP: #134977)
  * Update Maintainer field in debian/control

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 23 Sep 2007 14:00:49 +02000

=== debian/control ===
Source: pygame
Section: python
Priority: optional
Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
XSBC-Original-Maintainer: Ed Boraas <ed@debian.org> 
Build-Depends: debhelper7, python-all-dev, libsdl1.2-dev (>= 1.2.2-3.1), libsdl-image1.2-dev (>= 1.2.0-1.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), libsdl-ttf2.0-dev (>= 1.2.2-1.1), libsmpeg-dev (>= 0.4.5+cvs20030824-1.3), libportmidi-dev, libpng12-dev, sharutils, python-numpy, python-central (>= 0.5.6), quilt
Standards-Version: 3.7.3
XS-Python-Version: >= 2.3

Package: python-pygame
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, python-numpy
Provides: ${python:Provides}
Replaces: python2.3-pygame, python2.4-pygame
Conflicts: python2.3-pygame, python2.4-pygame
XB-Python-Version: ${python:Versions}
Description: SDL bindings for games development in Python
 A multimedia development kit for Python. Pygame provides modules for you
 to access the video display, play sounds, track time, read the mouse and
 joystick, control the CD player, render true type fonts and more. It does
 this using mainly the cross-platform SDL library, a lightweight wrapper
 to OS-specific APIs.
 .
 This package also includes Pygame's API documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export DH_PYCENTRAL=nomove

include /usr/share/quilt/quilt.make

PYVERS=$(shell pyversions -r debian/control)

ifeq (noopt,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	for python in $(PYVERS); \
		do CFLAGS="$(CFLAGS)" $$python config.py; \
	done
	touch $@

build: build-stamp
build-stamp: patch
	dh_testdir
	for python in $(PYVERS); \
		do $$python setup.py build; \
	done
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# We ignore errors, as if the build is already clean
	# (Setup has been removed) this command doesn't run
	-for python in $(PYVERS); \
		do $$python setup.py clean; \
	done
	# Other files that setup.py clean doesn't remove.
	rm -f *.pyc
	rm -fr build
	rm -f Setup

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	for python in $(PYVERS); \
		do $$python setup.py install \
			--root=$(CURDIR)/debian/python-pygame --install-layout=deb; \
	done

# We include all the documentation except:
# util (which is for building the docs from the source)
# fullinstall.txt (which is installation instructions)
# LGPL (which is in /usr/share/common-licenses/LGPL under Debian)
doclist = $(filter-out docs/util docs/fullinstall.txt docs/LGPL,$(wildcard docs/*))

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a $(doclist)
	dh_installchangelogs -a WHATSNEW
	#dh_bugfiles -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_pycentral -a
	dh_installdeb -a
	dh_shlibdeps -a 
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://www.pygame.org/download.shtml /ftp/pygame-([\d.]+)release\.tar\.gz

## pygame 1.9.3+dfsg

=== debian/changelog ===
pygame (1.9.3+dfsg-2) unstable; urgency=medium

  * License review to update d/copyright.

 -- Dominik George <nik@naturalnet.de>  Mon, 24 Apr 2017 19:45:54 +0200

pygame (1.9.3+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #779319)
    + Upload to unstable as we got a stable release.
  * Add myself tu Uploaders.
  * Use uscan to get orig tarball.
    + Exclude font copy.
    + Exclude dump of website comments (unnecessary and almost
      impossible to license-check).
  * Update watch file to use PyPI.
  * Add a separate python-pygame-doc package. (Closes: #747567)
    + Use sphinxdoc to build.
    + Also install examples in the -doc package.
  * Re-introduce python3 package.
  * Enable all hardening flags.
  * Fix many spelling issues. (Closes: #708936)
  * Re-enable test suites.
    + Enable display test suite using Xvfb.

 -- Dominik George <nik@naturalnet.de>  Thu, 26 Jan 2017 23:23:49 +0100

pygame (1.9.2~pre~r3449-2) experimental; urgency=medium

  * Ignore test failures temporarily (pre-release).

 -- Vincent Cheng <vcheng@debian.org>  Tue, 03 May 2016 23:58:01 -0700

pygame (1.9.2~pre~r3449-1) experimental; urgency=medium

  [ Vincent Cheng ]
  * Stop symlinking fonts into deprecated /usr/share/pyshared/ directory;
    fixes FTBFS. (Closes: #750315)
  * Drop doc-base file.
  * Update Standards version to 3.9.8.

  [ Stefano Rivera ]
  * New upstream snapshot.
    - Fixes FTBFS with clang. (Closes: #812717)
  * Support Python 3 in setup_ignore_portmidi_on_non_linux.diff
  * Drop ffmpeg, and smpeg dependencies, upstream has dropped movie support.
    (Closes: #803555)
  * Run tests against built pygame, don't build-depend on it.
    - Build-Depend on: fluid-soundfont-gm, fontconfig, fonts-dejavu-core,
      musescore-soundfont-gm, for the tests.
  * Port to pybuild.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Vincent Cheng <vcheng@debian.org>  Tue, 03 May 2016 21:39:41 -0700

pygame (1.9.2~pre~r3348-1) experimental; urgency=medium

  [ Vincent Cheng ]
  * Set Debian Python Modules Team <python-modules-team@l.a.d.o> as new
    maintainer, and move Ed Boraas into Uploaders with his consent.
    - Update Vcs-* fields accordingly.
  * Replace dependency ttf-freefont -> fonts-freefont-ttf. (Closes: #738244)
  * Replace build-dep on python3.2 (>= 3.2.3-7) with build-conflicts instead.
  * Remove dependency on ${python:Provides}.
  * Remove Replaces+Conflicts with obsolete pygame packages.
  * Update Standards version to 3.9.5.
  * Update my email address.

  [ Jakub Wilk ]
  * Run tests only if DEB_BUILD_OPTIONS=nocheck is not set.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 19 Feb 2014 01:41:42 -0800

pygame (1.9.2~pre~r3189-2) experimental; urgency=low

  * Fix FTBFS by reverting faulty fix for #700997; distutils in Debian now
    takes care of installing headers into the right location as of python3.2
    (>= 3.2.3-7), so add a build-dep on that instead. (Closes: #700997)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 21 Feb 2013 22:40:36 -0800

pygame (1.9.2~pre~r3189-1) experimental; urgency=low

  * New upstream hg snapshot (rev 3189).
  * Avoid potentially overriding a symlink in python3.2-dev. (Closes: #700997)
  * Generate correct versioned dependency on python-numpy following ABI change
    using the dh_numpy and dh_numpy3 helpers. (Closes: #698169)
    - Add build-depends on python3-numpy.
  * Fix a number of failing tests that rely on pygame being tested with OpenGL
    and a graphical display available, as well as audio/video devices.
  * Remove deprecated DMUA flag in debian/control.
  * Fix lintian tag vcs-field-not-canonical.
  * Update Standards version from 3.9.3 to 3.9.4, no updates required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 21 Feb 2013 00:23:03 -0800

pygame (1.9.2~pre~r3144-1) experimental; urgency=low

  * New upstream hg snapshot (rev 3144).
    - Drop drop_v4l_support.patch, set_WM_CLASS.patch, check_for_v4l2.diff,
      no_asm_types_h.diff; applied upstream.
    - Refresh remaining patches.
  * Add build-depends on libfreetype6-dev, libavformat-dev, libswscale-dev.
  * Add build-depends on python-pygame in order to run tests.
  * Remove unneeded debian/python-pygame.bug-{presubj,script} files;
    src:libsdl1.2 merged all builds into a single package as of 1.2.14-6.3.
  * Build pygame module for Python 3. (LP: #682144)
    - Add build-depends on python3-all-dev.
  * Add depends on libjs-sphinxdoc and replace embedded js libraries
    with symlinks in debian/rules.
  * Add lintian overrides for hardening-no-fortify-function and
    image-file-in-usr-lib.
  * Add missing DEP-3 patch headers.
  * Set DMUA flag in debian/control as per agreement with sponsor.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 10 Sep 2012 18:24:55 -0700

=== debian/control ===
Source: pygame
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ed Boraas <ed@debian.org>,
 A Mennucc1 <mennucc1@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Dominik George <nik@naturalnet.de>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 fluid-soundfont-gm,
 fontconfig,
 fonts-freefont-ttf,
 libfreetype6-dev,
 libjpeg-dev,
 libpng-dev,
 libportmidi-dev [linux-any],
 libsdl-image1.2-dev (>= 1.2.0-1.1),
 libsdl-mixer1.2-dev (>= 1.2.0-1.1),
 libsdl-ttf2.0-dev (>= 1.2.2-1.1),
 libsdl1.2-dev (>= 1.2.2-3.1),
 musescore-soundfont-gm,
 python-all-dev (>= 2.6.6-3~),
 python-numpy,
 python-setuptools (>= 0.6b3),
 python-sphinx,
 python3-all-dev,
 python3-numpy,
 python3-setuptools,
 python3-sphinx,
 sharutils,
 xauth,
 xvfb,
Build-Conflicts:
 python3.2-dev (<< 3.2.3-7),
Standards-Version: 3.9.8
Homepage: http://www.pygame.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pygame.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/pygame.git
Testsuite: autopkgtest-pkg-python

Package: python-pygame
Architecture: any
Depends:
 fonts-freefont-ttf,
 python-numpy,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Suggests:
 python-pygame-doc,
 timidity,
Description: SDL bindings for games development (Python 2)
 A multimedia development kit for Python. Pygame provides modules for you
 to access the video display, play sounds, track time, read the mouse and
 joystick, control the CD player, render true type fonts and more. It does
 this using mainly the cross-platform SDL library, a lightweight wrapper
 to OS-specific APIs.
 .
 This is the Python 2 version of the package.

Package: python3-pygame
Architecture: any
Depends:
 fonts-freefont-ttf,
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-pygame-doc,
 timidity,
Description: SDL bindings for games development (Python 3)
 A multimedia development kit for Python. Pygame provides modules for you
 to access the video display, play sounds, track time, read the mouse and
 joystick, control the CD player, render true type fonts and more. It does
 this using mainly the cross-platform SDL library, a lightweight wrapper
 to OS-specific APIs.
 .
 This is the Python 3 version of the package.

Package: python-pygame-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SDL bindings for games development in Python (documentation)
 A multimedia development kit for Python. Pygame provides modules for you
 to access the video display, play sounds, track time, read the mouse and
 joystick, control the CD player, render true type fonts and more. It does
 this using mainly the cross-platform SDL library, a lightweight wrapper
 to OS-specific APIs.
 .
 This package contains Pygame's API documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pygame

# Replace embedded font with system copy
export PYBUILD_AFTER_INSTALL = ln -sf /usr/share/fonts/truetype/freefont/FreeSansBold.ttf \
                                      {destdir}/{install_dir}/pygame/freesansbold.ttf

# setup.py only installs data during install, not build
export PYBUILD_BEFORE_TEST = cp {dir}/lib/pygame_icon.bmp {build_dir}/pygame; \
                             cp /usr/share/fonts/truetype/freefont/FreeSansBold.ttf \
                                {build_dir}/pygame/freesansbold.ttf; \
                             ln -sf {dir}/examples/data {build_dir}/pygame/examples; \
                             ln -sf {dir}/test/fixtures {build_dir}/pygame/tests/

DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export ORIGLIBDIRS := /lib:/lib/$(DEB_HOST_MULTIARCH)

export DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	# buildds don't provide graphical interfaces or audio/video devices
	# to test with, hence some tests won't work properly without:
	SDL_VIDEODRIVER=dummy SDL_AUDIODRIVER=disk LC_ALL=C.UTF-8 \
		dh_auto_test -- --system=custom --test-args \
		'/usr/bin/xvfb-run {interpreter} -m pygame.tests.__main__ --exclude opengl'

override_dh_install:
	dh_install
	dh_numpy
	dh_numpy3
	rm -f debian/python*-pygame/usr/lib/python*/dist-packages/pygame/LGPL
	rm -rf debian/python*-pygame/usr/lib/python*/dist-packages/pygame/examples/
	rm -rf debian/python*-pygame/usr/lib/python*/dist-packages/pygame/tests/
	rm -rf debian/python*-pygame/usr/lib/python*/dist-packages/pygame/docs/

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs

override_dh_installchangelogs:
	dh_installchangelogs WHATSNEW

override_dh_compress:
	dh_compress -ppython-pygame-doc -Xexamples/
	dh_compress --remaining-packages

=== debian/watch ===
# please also check http://pypi.debian.net/Pygame/watch
version=3
opts="uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg" \
http://pypi.debian.net/Pygame/pygame-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pygame 1.9.4.post1+dfsg

=== debian/changelog ===
pygame (1.9.4.post1+dfsg-3) unstable; urgency=high

  * Move header files to correct location. (Closes: #920030)

 -- Dominik George <natureshadow@debian.org>  Sat, 23 Feb 2019 12:10:31 +0100

pygame (1.9.4.post1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Peter Michael Green ]
  * Fix a typo that breaks bufferproxy on 64-bit big endian.  Closes: #902036

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 04 Nov 2018 18:48:21 +0100

pygame (1.9.4.post1+dfsg-1) unstable; urgency=high

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Dominik George ]
  * Mark -doc package Multi-Arch foreign.
  * New upstream version.
    + Add Python 3.7 support. (Closes: #905985)
  * Fix build on some architectures. (Closes: #902035, #902036)
    + Disable two tests that are flaky, but irrelevant in reality.
  * Update debian/watch to find .post versions.
  * Refresh patches; remove patches applied upstream.
  * Bump Standards-Version.
    + No changes needed.

 -- Dominik George <natureshadow@debian.org>  Sun, 28 Oct 2018 14:09:16 +0100

pygame (1.9.3+dfsg2-2) unstable; urgency=medium

  * Bring back Python 2 version for now. (Closes: #894560)
  * Amend last changelog with missing bug number.
  * Refresh a patch to fix clean step.
  * Use pkg-config to find freetype. (Closes: #892436)
  * Fix installation of documentation into correct directory.
  * Bump Standards-Version (no changes needed).
  * Fix tests on FreeBSD (and probably others). (Closes: #861254)

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Apr 2018 11:02:05 +0200

pygame (1.9.3+dfsg2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

  [ Dominik George ]
  * Update dependency on timgm6mb-soundfont. (Closes: #871910)
  * Depend on FreeSans font. (Closes: #861499)
  * Update my mail address in Uploaders.
  * Remove Python 2 build.
  * Bumb Standards-Version and compat level.
    + Remove default variables from d/rules.
  * Fix arithmetic errors on some platforms.
    (Closes: #861250, #861252, #861253, #861249, #861256)
  * Fix unicode in Sphinx output.
  * Fix orig tarball, which contained files it shouldn't.
    + Bump upstream dfsg version for that.

 -- Dominik George <natureshadow@debian.org>  Sat, 31 Mar 2018 22:11:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Ed Boraas <ed@debian.org>,
  A Mennucc1 <mennucc1@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
- Dominik George <nik@naturalnet.de>,
+ Dominik George <natureshadow@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  fluid-soundfont-gm,
  fontconfig,
@@ -21,7 +21,7 @@
  libsdl-mixer1.2-dev (>= 1.2.0-1.1),
  libsdl-ttf2.0-dev (>= 1.2.2-1.1),
  libsdl1.2-dev (>= 1.2.2-3.1),
- musescore-soundfont-gm,
+ timgm6mb-soundfont,
  python-all-dev (>= 2.6.6-3~),
  python-numpy,
  python-setuptools (>= 0.6b3),
@@ -35,10 +35,10 @@
  xvfb,
 Build-Conflicts:
  python3.2-dev (<< 3.2.3-7),
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: http://www.pygame.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pygame.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/pygame.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pygame.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pygame
 Testsuite: autopkgtest-pkg-python
 
 Package: python-pygame
@@ -84,9 +84,11 @@
 Package: python-pygame-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+ fonts-freefont-ttf,
 Description: SDL bindings for games development in Python (documentation)
  A multimedia development kit for Python. Pygame provides modules for you
  to access the video display, play sounds, track time, read the mouse and

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,7 @@
                              ln -sf {dir}/examples/data {build_dir}/pygame/examples; \
                              ln -sf {dir}/test/fixtures {build_dir}/pygame/tests/
 
-DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export ORIGLIBDIRS := /lib:/lib/$(DEB_HOST_MULTIARCH)
-
-export DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -40,9 +37,12 @@
 	rm -rf debian/python*-pygame/usr/lib/python*/dist-packages/pygame/examples/
 	rm -rf debian/python*-pygame/usr/lib/python*/dist-packages/pygame/tests/
 	rm -rf debian/python*-pygame/usr/lib/python*/dist-packages/pygame/docs/
+	for d in debian/python3-pygame/usr/include/python*; do \
+		[ "$$d" = *m ] || mv "$$d" "$$d"m; \
+	done
 
 override_dh_installdocs:
-	python setup.py build_sphinx
+	python3 setup.py build_sphinx
 	dh_installdocs
 
 override_dh_installchangelogs:

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg.*//,repacksuffix=+dfsg" \
https://pypi.debian.net/Pygame/pygame-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pygame 1.9.6%2Bdfsg

=== debian/changelog ===
pygame (1.9.6+dfsg-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:50 +0100

pygame (1.9.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - drop python-sphinx from b-d, doc is built with python3 anyway

 -- Sandro Tosi <morph@debian.org>  Sat, 01 Feb 2020 02:08:19 -0500

pygame (1.9.6+dfsg-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release (Closes: #943613, 944656, 935425)
  * Match lower-case pygame in watch file.
  * Refresh patches.
  * Drop patch fix-bufferproxy-be64, superseded upstream.
  * Update copyright.
  * Patch: Declare UTF-8 encoding in src_py/draw_py.py.
  * Provide a test_sans.ttf symlink, for tests, replacing the font we removed
    in +dfsg.
  * Update +dfsg removals to match upstream renames.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Declare Rules-Requires-Root: no.
  * Patch: Python 3.8 compatibility.
  * Remove documents no longer included, upstream.
  * Use wildcards in Python 3 lintian overrides, to avoid naming specific
    versions.
  * Patch: Disable comment JS in documentation.
  * Patch: Fix bitshift bugs on ppc64el, leading to test failures.
  * Patch: Skip test failures on s390x and ppc64el.
  * Drop patch arithmetic_fixes, superseded upstream.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 31 Dec 2019 18:47:40 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Vincent Cheng <vcheng@debian.org>,
  Dominik George <natureshadow@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
  fluid-soundfont-gm,
  fontconfig,
@@ -25,7 +25,6 @@
  python-all-dev (>= 2.6.6-3~),
  python-numpy,
  python-setuptools (>= 0.6b3),
- python-sphinx,
  python3-all-dev,
  python3-numpy,
  python3-setuptools,
@@ -35,11 +34,12 @@
  xvfb,
 Build-Conflicts:
  python3.2-dev (<< 3.2.3-7),
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://www.pygame.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/pygame.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pygame
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-pygame
 Architecture: any

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/;s/\.dev/~dev/,dversionmangle=s/\+dfsg.*//,repacksuffix=+dfsg" \
https://pypi.debian.net/pygame/pygame-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
